# $Revision: 1.14 $, $Date: 2002/11/06 11:11:25 $
Summary:	The game that started roguelike genre.
Summary(pl):	Gra, ktra zapocztkowaa gatunek roguelike.
Name:		rogue
Version:	5.3
Release:	8
License:	GPL
Group:		Applications/Games
Source0:	http://yarws.kid.waw.pl/files/%{name}.tar.z
Source1:	%{name}.desktop
Source2:	%{name}.png
Source3:	http://yarws.kid.waw.pl/files/%{name}_spoiler.zip
# renamed http://home.wanadoo.nl/loche/rogue/guide.txt
Source4:	%{name}-guide.txt
Patch0:		%{name}-rip_time.patch
Patch1:		%{name}-ldflags.patch
URL:		http://home.wanadoo.nl/loche/rogue/
BuildRequires:	ncurses-devel
Requires:	applnk >= 1.5.13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_bindir		/usr/games
%define		_datadir	/var/games/rogue

%description
A Dungeons-and-Dragons-like game using character graphics, written
under BSD Unix and subsequently ported to other Unix systems. The
original BSD `curses(3)' screen-handling package was hacked together
by Ken Arnold primarily to support games, and the development of
`rogue(6)' popularized its use. Nethack, Omega, Larn, Angband, and an
entire subgenre of computer dungeon games (all known as `roguelikes')
all took off from the inspiration provided by `rogue(6)'; the popular
Windows game Diablo, though graphics-intensive, has very similar play
logic.

%description -l pl
Gra czerpica z Dungeons and Dragons uywajca znakowej grafiki,
napisana pod Uniksem BSD, a nastpnie portowana na inne systemy
Uniksowe. Pocztkowa biblioteka obsugi ekranu 'curses (3)' bya
hackowana wsplnie z Kenem Arnoldem gwnie by wspiera gry, a rozwj
'rogue (6)' spopularyzowa j. Nethack, Omega, Larn, Angband i cay
podgatunek lochowych gier komputerowych (znanych jako 'roguelike')
czerpi inspiracj z 'rogue (6)'. Popularna gra Diablo, mimo ogromnego
adunku grafiki, ma bardzo podobn logik gry.

%package spoilers
Summary:	Spoilers for rogue
Summary(pl):	Psuje dla rogue
Group:		Applications/Games

%description spoilers
Spoilers for rogue.

%description spoilers -l pl
Psuje dla rogue.

%prep
%setup -a3 -q -c %{name}-%{version}
%patch0 -p1
%patch1 -p0

%build
for i in *.[ch]
do
	cat $i | sed 's/^#ifdef CURSES/#if 0/g' > $i.new
	cat $i.new | sed 's/^#ifndef CURSES/#if 1/g' > $i
	rm $i.new
done
cat instruct.c | sed 's@%{_prefix}/games@%{_prefix}/share/doc/%{name}-%{version}@' > instruct.c.new
cat score.c | sed 's@%{_prefix}/games@%{_datadir}@' > score.c.new
mv -f instruct.c.new instruct.c
mv -f score.c.new score.c

%{__make} CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -DUNIX -DUNIX_SYS5 -I%{_includedir}/ncurses -c" \
	LDFLAGS="%{rpmldflags} -lncurses"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir},%{_applnkdir}/Games/RPG,%{_pixmapsdir}}

install rogue $RPM_BUILD_ROOT%{_bindir}

touch $RPM_BUILD_ROOT%{_datadir}/rogue.scores

cp %{SOURCE4} guide.txt
gzip -9nf README guide.txt
gzip -9nf rogue.[drsw]*

install %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/Games/RPG
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(2755,root,games) %{_bindir}/*
%attr(2775,root,games) %dir %{_datadir}
%attr(664,root,games) %config(noreplace) %verify(not md5 size mtime) %{_datadir}/rogue.scores

# don't gzip rogue.instr!
%doc usr/games/rogue.instr README.gz guide.txt.gz

%{_applnkdir}/Games/RPG/*
%{_pixmapsdir}/*

%files spoilers
%defattr(644,root,root,755)
%doc rogue.*.gz

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: rogue.spec,v $
Revision 1.14  2002/11/06 11:11:25  ankry
- moved desktop (from Games/Roguelike to Games/RPG), rel. 8

Revision 1.13  2002/04/09 09:17:23  ankry
- finally renamed

Revision 1.12  2002/04/09 09:14:23  ankry
- renamed guide.txt to rogue-guide.txt
- release 7

Revision 1.11  2002/04/08 11:24:37  wolf
- added guidebook
- added url
- rel 6

Revision 1.10  2002/03/31 12:04:23  wolf
- release 5
- changed bindir to /usr/games (kloczek, don't 'fix' this!)
- added spoilers subpackage

Revision 1.9  2002/03/18 13:19:05  wolf
- release 4
- new icon

Revision 1.8  2002/02/27 03:42:39  kloczek
- release 3.

Revision 1.7  2002/02/26 13:54:34  wolf
- extended description (based on jargon file)

Revision 1.6  2002/02/22 23:29:41  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/02/17 15:42:21  kloczek
- release 2.

Revision 1.4  2002/02/14 08:00:55  wolf
- removed paths patch. they are now set in spec

Revision 1.3  2002/02/12 02:43:44  kloczek
- small fix in %install.

Revision 1.2  2002/02/12 01:58:20  kloczek
- place executabe files directly in %%{_bindir},
- adapterized.

Revision 1.1  2002/02/10 15:30:08  wolf
- initial release
